"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const default_fs_1 = require("../lib/fs/default-fs");
const command_logger_1 = require("../lib/logging/command-logger");
const build_1 = require("../core/build");
class BuildCommand extends core_1.Command {
    async run() {
        const { flags } = await this.parse(BuildCommand);
        const logger = new command_logger_1.default(this);
        const fs = new default_fs_1.default();
        return new build_1.default(fs, logger).run(flags);
    }
}
exports.default = BuildCommand;
BuildCommand.description = build_1.default.description;
BuildCommand.examples = build_1.default.examples;
BuildCommand.flags = build_1.default.flags;
BuildCommand.args = build_1.default.args;
//# sourceMappingURL=build.js.map