"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const lint_1 = require("../core/lint");
const command_logger_1 = require("../lib/logging/command-logger");
const default_fs_1 = require("../lib/fs/default-fs");
class Lint extends core_1.Command {
    async run() {
        const { flags } = await this.parse(Lint);
        const logger = new command_logger_1.default(this);
        const fs = new default_fs_1.default();
        return new lint_1.default(fs, logger).run(flags);
    }
}
exports.default = Lint;
Lint.description = lint_1.default.description;
Lint.examples = lint_1.default.examples;
Lint.flags = lint_1.default.flags;
Lint.args = lint_1.default.args;
//# sourceMappingURL=lint.js.map