"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const default_fs_1 = require("../../lib/fs/default-fs");
const command_logger_1 = require("../../lib/logging/command-logger");
const dump_1 = require("../../core/model/dump");
class ModelDump extends core_1.Command {
    async run() {
        const { args, flags } = await this.parse(ModelDump);
        const logger = new command_logger_1.default(this);
        const fs = new default_fs_1.default();
        return new dump_1.default(fs, logger).run(args, flags);
    }
}
exports.default = ModelDump;
ModelDump.description = dump_1.default.description;
ModelDump.examples = dump_1.default.examples;
ModelDump.flags = dump_1.default.flags;
ModelDump.args = dump_1.default.args;
//# sourceMappingURL=dump.js.map