"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const default_fs_1 = require("../../lib/fs/default-fs");
const command_logger_1 = require("../../lib/logging/command-logger");
const inspect_1 = require("../../core/model/inspect");
class ModelInspect extends core_1.Command {
    async run() {
        const { args, flags } = await this.parse(ModelInspect);
        const logger = new command_logger_1.default(this);
        const fs = new default_fs_1.default();
        return new inspect_1.default(fs, logger).run(args, flags);
    }
}
exports.default = ModelInspect;
ModelInspect.description = inspect_1.default.description;
ModelInspect.examples = inspect_1.default.examples;
ModelInspect.flags = inspect_1.default.flags;
ModelInspect.args = inspect_1.default.args;
//# sourceMappingURL=inspect.js.map