"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const default_fs_1 = require("../../lib/fs/default-fs");
const command_logger_1 = require("../../lib/logging/command-logger");
const index_1 = require("../../core/new/index");
class Index extends core_1.Command {
    async run() {
        const { args, flags } = await this.parse(Index);
        const logger = new command_logger_1.default(this);
        const fs = new default_fs_1.default();
        return new index_1.default(fs, logger).run(args, flags);
    }
}
exports.default = Index;
Index.description = index_1.default.description;
Index.examples = index_1.default.examples;
Index.flags = index_1.default.flags;
Index.args = index_1.default.args;
//# sourceMappingURL=index.js.map