"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const trace_1 = require("../core/trace");
const command_logger_1 = require("../lib/logging/command-logger");
const default_fs_1 = require("../lib/fs/default-fs");
class Trace extends core_1.Command {
    async run() {
        const { args, flags } = await this.parse(Trace);
        const logger = new command_logger_1.default(this);
        const fs = new default_fs_1.default();
        return new trace_1.default(fs, logger).run(args, flags);
    }
}
exports.default = Trace;
Trace.description = trace_1.default.description;
Trace.examples = trace_1.default.examples;
Trace.flags = trace_1.default.flags;
Trace.args = trace_1.default.args;
//# sourceMappingURL=trace.js.map