"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const build_1 = require("../lib/commands/build");
const validate_path_1 = require("../lib/commands/validate-path");
const path = require("node:path");
class BuildCore {
    constructor(fs, logger) {
        this.fs = fs;
        this.logger = logger;
    }
    async run(flags) {
        const location = flags.location ? path.resolve(flags.location) : path.resolve('.');
        (0, validate_path_1.validatePath)(location);
        return new build_1.default(location, this.logger, this.fs).build();
    }
}
exports.default = BuildCore;
BuildCore.description = 'generates a consolidated ruleset file with all the rules';
BuildCore.examples = [
    '<%= config.bin %> <%= command.id %>',
    '<%= config.bin %> <%= command.id %> -l /development/my-ruleset-project',
];
BuildCore.flags = {
    location: core_1.Flags.string({ char: 'l', description: 'path where the project will be created' }),
};
BuildCore.args = [];
//# sourceMappingURL=build.js.map