"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const profile_importer_1 = require("../lib/commands/profile-importer");
const validate_path_1 = require("../lib/commands/validate-path");
const path = require("node:path");
class ImportCore {
    constructor(fs, logger) {
        this.fs = fs;
        this.logger = logger;
    }
    async run(flags) {
        const location = flags.location ? path.resolve(flags.location) : path.resolve('.');
        const importLocation = flags.targetLocation ? path.resolve(flags.targetLocation) : path.resolve('.');
        (0, validate_path_1.validatePath)(location);
        (0, validate_path_1.validatePath)(importLocation);
        return new profile_importer_1.default(location, importLocation, !flags.omitExamples, this.logger, this.fs).import();
    }
}
exports.default = ImportCore;
ImportCore.examples = [];
ImportCore.flags = {
    location: core_1.Flags.string({ char: 'l', description: 'path where the project will be created' }),
    targetLocation: core_1.Flags.string({ char: 'p', description: 'path where the ruleset should be imported as a project' }),
    omitExamples: core_1.Flags.boolean({
        aliases: ['omit-examples'],
        description: 'omit scaffolding positive and negative examples for each rule',
        default: false,
    }),
};
ImportCore.args = [];
//# sourceMappingURL=import.js.map