import Logger from '../lib/logging/logger';
import FS from '../lib/fs/fs';
export default class TestCore {
    fs: FS;
    logger: Logger;
    constructor(fs: FS, logger: Logger);
    static description: string;
    static examples: string[];
    static flags: {
        location: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        filter: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        debug: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        skipLinting: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    static args: never[];
    run(flags: any): Promise<void>;
    private getFailedTests;
    private reportTestResult;
    private printSuccessfulTestReport;
    private printFailedTestsReport;
}
