"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class AmfReport {
    constructor(source, amfReport) {
        this.source = source;
        this.report = amfReport;
    }
    conforms() {
        return this.report.conforms;
    }
    location() {
        return this.report.baseUnit.location;
    }
    reportText() {
        let report = '';
        for (const error of this.report.results) {
            report = report + '* ' + error.severityLevel + '\n';
            report = report + '  - ' + error.message + '\n';
            report = report + '  - [From:(' + error.position.lineFrom + ',' + error.position.columnFrom + '), To:(' + error.position.lineTo + ',' + error.position.columnTo + ')]\n';
        }
        return report;
    }
}
exports.default = AmfReport;
//# sourceMappingURL=amf-report.js.map