"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.testPrefixValidation = void 0;
const test_1 = require("@oclif/test");
const chai_1 = require("chai");
function testPrefixValidation(options) {
    describe(`Prefix Validation - ${options.description}`, () => {
        it('should throw an error if prefix is empty', async () => {
            await test_1.test
                .stderr()
                .command([options.command, '-l', ''])
                .catch(error => {
                (0, chai_1.expect)(error.message).to.include('Target location cannot be empty');
            });
        });
        it('should throw an error if directory does not exist', async () => {
            await test_1.test
                .stderr()
                .command([options.command, '-l', '/invalid/path'])
                .catch(error => {
                (0, chai_1.expect)(error.message).to.include('Directory /invalid/path does not exist');
            });
        });
    });
}
exports.testPrefixValidation = testPrefixValidation;
//# sourceMappingURL=location-validation-test.js.map