"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateFilter = exports.validatePath = void 0;
const node_fs_1 = require("node:fs");
function validatePath(location) {
    if (!location) {
        throw new Error('Target location cannot be empty');
    }
    if (!(0, node_fs_1.existsSync)(location)) {
        throw new Error(`Directory ${location} does not exist`);
    }
}
exports.validatePath = validatePath;
function validateFilter(filter) {
    if (!filter.trim()) {
        throw new Error('Filter cant be empty');
    }
    try {
        // eslint-disable-next-line no-new
        new RegExp(filter);
    }
    catch {
        throw new Error('The regex filter is not valid');
    }
}
exports.validateFilter = validateFilter;
//# sourceMappingURL=validate-path.js.map