"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("node:path");
const fs_utils_1 = require("./fs/fs-utils");
class Config {
    constructor(obj) {
        var _a, _b, _c;
        this.main = obj.main ? obj.main : '';
        this.name = obj.name ? obj.name : '';
        this.ruleProfileName = obj.ruleProfileName ? obj.ruleProfileName : fs_utils_1.default.PROFILE_FILE;
        this.version = obj.version ? obj.version : '';
        this.classifier = obj.classifier ? obj.classifier : '';
        this.defaultSpec = obj.defaultSpec ? obj.defaultSpec : '';
        this.rulesetConfig = {
            tags: (_b = (_a = obj === null || obj === void 0 ? void 0 : obj.rulesetConfig) === null || _a === void 0 ? void 0 : _a.tags) !== null && _b !== void 0 ? _b : [],
            documentation: ((_c = obj === null || obj === void 0 ? void 0 : obj.rulesetConfig) === null || _c === void 0 ? void 0 : _c.documentation) || fs_utils_1.default.DOC_FILE,
        };
    }
    static fromFile(fs, prefix) {
        const configPath = path.join(prefix, fs_utils_1.default.CONFIG_FILE);
        const config = fs.loadFile(configPath);
        return new Config(JSON.parse(config));
    }
}
exports.default = Config;
//# sourceMappingURL=config-loader.js.map