import FS from './fs';
import RuleDir from '../rule-dir';
import Config from '../config-loader';
import { ClientResourceLoader } from 'anypoint-apb';
import Logger from '../logging/logger';
export default class FsUtils {
    static TEMPLATES_PATH: any;
    static ROOT_PATH: any;
    static CONFIG_FILE: string;
    static RULE_FILE_NAME: string;
    static DOC_FILE: string;
    static RULES_DIR: string;
    static PROFILE_FILE: string;
    static EXCHANGE_JSON: string;
    static RULESET_DIALECT: string;
    static FORMATS: {
        OAS: string;
        SWAGGER: string;
        ASYNCAPI: string;
        RAML: string;
        GRAPHQL: string;
        GRPC: string;
        JSONLD: string;
        GCL: string;
        PROJECT: string;
    };
    static SERIALIZATIONS: {
        'oas': string;
        swagger: string;
        'asyncapi': string;
        'raml': string;
        'graphql': string;
        grpc: string;
        jsonld: string;
        gcl: string;
        project: string;
    };
    static existConfigFile(fs: FS, prefix?: string): boolean;
    static loadConfigFile(fs: FS, prefix?: string): any;
    static loadDocFile(fs: FS, prefix?: string): string | undefined;
    static loadConfigFileTemplate(profileName: string, fs: FS, defaultSpec: string, ruleNameProfile?: string): string;
    static loadDocFileTemplate(profileName: string, fs: FS): string;
    static writeConsolidatedRuleset(fs: FS, data: string, prefix?: string): string;
    static existRulesDirectory(fs: FS, prefix?: string): boolean;
    static writeFile(fs: FS, file: string, data: string, prefix?: string): string;
    static mkDir(fs: FS, dir: string, prefix?: string): string;
    static findSpecType(fs: FS, f: string): string;
    static isFileOrDirectory(path: string): boolean;
    static mkRuleDir(fs: FS, ruleName: string, prefix?: string): string;
    static existRuleDir(fs: FS, ruleName: string, prefix?: string): boolean;
    static writeProfile(fs: FS, ruleName: string, data: string, config: Config, prefix?: string): string;
    private static loadFileNameRule;
    static listRuleProfiles(fs: FS, prefix?: string): Array<string>;
    private static isSameFilename;
    private static getProfileName;
    static listRuleDirs(fs: FS, logger: Logger, prefix?: string): Array<RuleDir>;
    static exampleFolder(ruleName: string | undefined, positive: boolean, id: string, prefix: string): string;
    static createExampleFolder(fs: FS, ruleName: string | undefined, positive: boolean, id: string, prefix: string): string;
    static exampleFile(ruleName: string | undefined, format: string, positive: boolean, id: string | undefined, prefix: string): string;
    static existExampleData(fs: FS, ruleName: string | undefined, format: string, positive: boolean, id: string, prefix: string): boolean;
    static existFolders(fs: FS, ruleName: string | undefined, positive: boolean, id: string, prefix: string): boolean;
    static writeExampleData(fs: FS, ruleName: string | undefined, data: string, format: string, positive: boolean, id: string, prefix?: string): string;
    static loadProfileTemplate(fs: FS, profileName: string): string;
    static loadDefaultSpec(fs: FS, format: string): string;
    static readRuleTemplate(spec: string, fs: FS): string;
    static copyRuleExamplesForSpec(spec: string, target: string, fs: FS): void;
    static loadExchangeJson(fs: FS, defaultSpec?: string): string;
    static fsToResourceLoader(fs: FS, base: string | undefined, error?: (m: string) => void): ClientResourceLoader;
    static logNothing: (_: string) => void;
}
