/// <reference types="node" />
import { Stats } from 'node:fs';
export default interface FS {
    listDirectory(dir: string): Array<string>;
    loadFile(f: string): string;
    writeFileSync(file: string, data: string): void;
    existsSync(file: string): boolean;
    readFileSync(file: string): string;
    readdirSync(file: string): string[];
    statSync(dir: any): Stats;
    cpSync(source: string, target: string, options?: any): void;
    mkdirSync(path: string): void;
}
