export interface TermMatch {
    source: string;
    term: string;
    score: number;
    match: boolean;
    isClass: boolean;
    isProperty: boolean;
    isRegex: boolean;
}
/**
 * Processes the mode.yaml file generated from the AMF model
 * and provides methods to query the classes and terms in the AMF model.
 */
export declare class AmfModel {
    private static MODEL_PATH;
    private readonly model;
    private CONTEXT;
    private _invertedContext;
    get invertedContext(): Record<string, string>;
    private VALIDATOR_PREFIXES;
    private classList;
    private propertyList;
    private profilePrefixes;
    constructor(profilePrefixes: any);
    private findMatch;
    findClassMatch(term: string): TermMatch;
    findPropertyMatch(term: string): TermMatch[];
    private buildTypesList;
    private buildFieldList;
    expand(curie: string): string;
    compact(className: string): string;
    compactPath(path: string): string;
}
