import { Position } from './position';
import { Range } from './range';
import { BaseUnit } from 'anypoint-apb';
import { AmfModel } from '../amf-model';
export declare class AMFLexicalIndex {
    index: IndexEntry[];
    private lexicalRgx;
    private api;
    private amfModel;
    constructor(api: BaseUnit);
    initialize(): Promise<void>;
    rootPath(to: IndexEntry): string[];
    private findById;
    indexNodesByLexicalRange(jsonld: any, lexicalIdx: Record<string, string>): void;
    indexLexicalsById(jsonld: any): Record<string, string>;
    entryFor(position: Position): IndexEntry[];
}
export declare class IndexEntry {
    private amfModel;
    get range(): Range;
    get id(): string;
    private _range;
    private object;
    constructor(range: Range, object: any, amfModel: AmfModel);
    isMoreSpecificThan(other: IndexEntry): boolean;
    getClass(): string;
    getProperties(): string[];
    getPropertyUris(): string[];
    getValue(property: string): any[];
    getLinkTargets(): string[];
}
