"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Range = void 0;
class Range {
    constructor(start, end) {
        this.start = start;
        this.end = end;
    }
    containsPosition(position) {
        if (this.isNil()) {
            return false;
        }
        const afterStart = this.start.compareTo(position) <= 0;
        const beforeEnd = this.end.compareTo(position) >= 0;
        return afterStart && beforeEnd;
    }
    containsRange(range) {
        return this.containsPosition(range.start) && this.containsPosition(range.end);
    }
    compareTo(range) {
        const sCompared = this.start.compareTo(range.start);
        // eslint-disable-next-line no-negated-condition
        return sCompared !== 0 ? sCompared : this.end.compareTo(range.end);
    }
    isNil() {
        return this.start.column === 0 && this.start.line === 0 && this.end.column === 0 && this.end.line === 0;
    }
}
exports.Range = Range;
//# sourceMappingURL=range.js.map