import Validator from './validate';
import FS from './fs/default-fs';
import { AmfModel } from './model/amf-model';
import AmfReport from './amf-report';
import Logger from './logging/logger';
export interface ValidationResult {
    success: boolean;
    log: string[];
    generated?: string;
    reportJSON?: string;
    normalized?: string;
}
export default class RuleDir {
    private _parsed;
    private _negatedRule;
    private _fs;
    readonly directory: string;
    private get parsedRuleset();
    negateRule(): void;
    get ruleName(): string;
    get tags(): string[];
    get prefixes(): string[];
    get ruleBody(): any;
    get severityLevel(): string;
    get negative(): Array<string>;
    get positive(): Array<string>;
    findExample(id: string): string | undefined;
    enrichedAmfModel(): AmfModel;
    private exampleToJSONLD;
    validateRuleset(): Promise<AmfReport>;
    validate(source: string, skipValidation: boolean, debug: boolean, sourceMaps: boolean): Promise<ValidationResult>;
    get profile(): string;
    get path(): string;
    private _path;
    private _profilePath;
    private logger;
    constructor(path: string, fs: FS, logger: Logger, ruleProfileName: string, directory: string);
    readProfile(): string;
    private _positive;
    private _negative;
    generateRego(validator: Validator): Promise<string>;
}
