"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const anypoint_apb_1 = require("anypoint-apb");
class RenderOptionsBuilder {
    constructor() {
        this.sourceMaps = false;
    }
    withSourceMaps(sourceMaps) {
        this.sourceMaps = sourceMaps;
        return this;
    }
    build() {
        let renderOpts = new anypoint_apb_1.RenderOptions().withSourceMaps().withCompactUris().withSourceInformation();
        if (!this.sourceMaps) {
            renderOpts = renderOpts.withGovernanceMode;
        }
        return renderOpts;
    }
}
exports.default = RenderOptionsBuilder;
//# sourceMappingURL=render-options-builder.js.map