"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AMFSpecClient = void 0;
const spec_client_1 = require("./spec-client");
const amf_report_1 = require("../amf-report");
const generate_1 = require("./api-contract/generate");
class AMFSpecClient extends spec_client_1.SpecClient {
    constructor(config) {
        super();
        this.config = config;
    }
    render(element, framed, sourceMaps) {
        return generate_1.default.generate(element, framed, sourceMaps);
    }
    getClient() {
        if (this.rl)
            return this.config.withResourceLoader(this.rl).baseUnitClient();
        return this.config.baseUnitClient();
    }
    parse(url) {
        const client = this.getClient();
        return client.parseDocument('file://' + url).then(result => {
            if (!result.conforms) {
                const report = new amf_report_1.default(url, result);
                throw new Error(report.reportText());
            }
            return client.transform(result.baseUnit, 'editing').baseUnit;
        });
    }
}
exports.AMFSpecClient = AMFSpecClient;
//# sourceMappingURL=amf-spec-client.js.map