"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const aml_parser_1 = require("./aml-parser");
const fs_utils_1 = require("../../fs/fs-utils");
const default_fs_1 = require("../../fs/default-fs");
const amf_report_1 = require("../../amf-report");
const errors_1 = require("@oclif/core/lib/errors");
class ProfileClient {
    static async parseDialect() {
        const defaultFs = new default_fs_1.default();
        return aml_parser_1.default.parseDialect(fs_utils_1.default.RULESET_DIALECT, fs_utils_1.default.fsToResourceLoader(defaultFs, undefined, errors_1.error));
    }
    static getDialect() {
        if (!this.dialect)
            this.dialect = this.parseDialect();
        return this.dialect;
    }
    static async parseRuleset(url, fs, error = fs_utils_1.default.logNothing) {
        const amfResult = await aml_parser_1.default.parseInstance(await ProfileClient.getDialect(), fs_utils_1.default.fsToResourceLoader(fs, undefined, error), url);
        return new amf_report_1.default(url, amfResult);
    }
    static async renderRuleset(dialectInstance) {
        return aml_parser_1.default.renderInstance(await ProfileClient.getDialect(), dialectInstance);
    }
}
exports.default = ProfileClient;
//# sourceMappingURL=profile-client.js.map