"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProjectClient = void 0;
const spec_client_1 = require("./spec-client");
const anypoint_apb_1 = require("anypoint-apb");
/* eslint-disable @typescript-eslint/no-unused-vars */
class ProjectClient extends spec_client_1.SpecClient {
    async parse(url) {
        let rloaders = [];
        if (this.rl) {
            rloaders = [this.rl];
        }
        const dependencyFetcher = new anypoint_apb_1.JsDependencyFetcherAdapter(ProjectClient.df);
        const client = new anypoint_apb_1.APIProjectClientBuilder(dependencyFetcher).withResourceLoaders(rloaders).build();
        return client.project().then(result => result.project());
    }
    async render(element, framed, sourceMaps) {
        const client = new anypoint_apb_1.APIProjectClientBuilder(ProjectClient.df).build();
        return client.serialize(element);
    }
}
exports.ProjectClient = ProjectClient;
ProjectClient.df = {
    accepts(dependency) {
        return false;
    },
    fetch(dependency) {
        return {
            accepts(resource) {
                return false;
            },
            fetch(resource) {
                // eslint-disable-next-line prefer-promise-reject-errors
                return Promise.reject('unreachable');
            },
        };
    },
};
/* eslint-enable @typescript-eslint/no-unused-vars */
//# sourceMappingURL=project-client.js.map