"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// eslint-disable-next-line @typescript-eslint/ban-ts-comment
// @ts-ignore
const acv = require("@aml-org/amf-custom-validator");
class Validator {
    constructor() {
        this.initialized = false;
    }
    terminate() {
        acv.exit();
        this.initialized = false;
    }
    validate(profile, data, debug) {
        return new Promise((resolve, reject) => {
            this.initialize().then(() => {
                acv.validate(profile, data, debug, (report, error) => {
                    if (error || report === undefined) {
                        reject(error);
                    }
                    else {
                        resolve(report);
                    }
                });
            });
        });
    }
    normalize(inputData) {
        return new Promise((resolve, reject) => {
            this.initialize().then(() => {
                acv.normalizeInput(inputData, (data, err) => {
                    if (err) {
                        reject(err);
                    }
                    else {
                        resolve(data);
                    }
                });
            });
        });
    }
    generateRego(profile) {
        return new Promise((resolve, reject) => {
            this.initialize().then(() => {
                acv.generateRego(profile, (data, err) => {
                    if (err) {
                        reject(err);
                    }
                    else {
                        resolve(data);
                    }
                });
            });
        });
    }
    initialize() {
        if (this.initialized) {
            return new Promise((resolve, _) => {
                resolve(this.initialized);
            });
        }
        return new Promise((resolve, _) => {
            acv.initialize(() => {
                this.initialized = true;
                resolve(this.initialized);
            });
        });
    }
}
exports.default = Validator;
Validator.singleton = new Validator();
//# sourceMappingURL=validate.js.map