export interface TraceValue {
    '@id': string;
    '@type': string[];
    actual: any;
    expected: any;
    condition: string;
    negated: boolean;
    argument?: string;
    failedNodes?: number;
    successfulNodes?: number;
    cardinality?: number;
    altPath?: string;
    subResult: any[];
}
export interface TraceData {
    '@type': string[];
    component: string;
    resultPath: string;
    traceValue: TraceValue;
    location: ValidatorLocation;
}
export declare class ValidatorPosition {
    private data;
    constructor(data: any);
    get column(): number;
    get line(): number;
}
export declare class ValidatorRange {
    private data;
    constructor(data: any);
    get start(): ValidatorPosition;
    get end(): ValidatorPosition;
}
export declare class ValidatorLocation {
    private data;
    constructor(data: any);
    get range(): ValidatorRange;
    get uri(): string;
}
export declare class ValidatorResult {
    private data;
    get sourceShapeName(): string;
    get focusNode(): string;
    get rule(): string;
    get message(): string;
    get severity(): string;
    get location(): ValidatorLocation;
    get trace(): TraceData[];
    set trace(ts: TraceData[]);
    constructor(data: any);
}
export default class ValidatorReport {
    private data;
    constructor(data: JSON);
    conforms(): boolean;
    results(): Array<ValidatorResult>;
}
