"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValidatorResult = exports.ValidatorLocation = exports.ValidatorRange = exports.ValidatorPosition = void 0;
class ValidatorPosition {
    constructor(data) {
        this.data = data;
    }
    get column() {
        return this.data.column;
    }
    get line() {
        return this.data.line;
    }
}
exports.ValidatorPosition = ValidatorPosition;
class ValidatorRange {
    constructor(data) {
        this.data = data;
    }
    get start() {
        return new ValidatorPosition(this.data.start);
    }
    get end() {
        return new ValidatorPosition(this.data.end);
    }
}
exports.ValidatorRange = ValidatorRange;
class ValidatorLocation {
    constructor(data) {
        this.data = data;
    }
    get range() {
        return new ValidatorRange(this.data.range);
    }
    get uri() {
        return this.data.uri;
    }
}
exports.ValidatorLocation = ValidatorLocation;
class ValidatorResult {
    constructor(data) {
        this.data = data;
    }
    get sourceShapeName() {
        return this.data.sourceShapeName;
    }
    get focusNode() {
        return this.data.focusNode;
    }
    get rule() {
        return this.data.sourceShapeName;
    }
    get message() {
        return this.data.resultMessage;
    }
    get severity() {
        return this.data.resultSeverity.split('#')[1].toLowerCase();
    }
    get location() {
        return new ValidatorLocation(this.data.location);
    }
    get trace() {
        return this.data.trace.map((t) => {
            return t;
        });
    }
    set trace(ts) {
        this.data.trace = ts;
    }
}
exports.ValidatorResult = ValidatorResult;
class ValidatorReport {
    constructor(data) {
        this.data = data;
    }
    conforms() {
        // eslint-disable-next-line @typescript-eslint/ban-ts-comment
        // @ts-ignore
        return this.data[0]['doc:encodes'][0].conforms;
    }
    results() {
        // eslint-disable-next-line @typescript-eslint/ban-ts-comment
        // @ts-ignore
        return (this.data[0]['doc:encodes'][0].result || []).map((result) => new ValidatorResult(result));
    }
}
exports.default = ValidatorReport;
//# sourceMappingURL=validator-report.js.map